<?php get_header(); ?>
<div id="leftcol">
  <div id="content">
    <?php if (have_posts()) : ?>
    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    <?php /* If this is a category archive */ if (is_category()) { ?>
    <p class="postmeta">صفحه اصلی >
      <?php single_cat_title(); ?>
    </p>
    <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
    <p class="postmeta">صفحه اصلی > کلمه کلیدی >
      <?php single_tag_title(); ?>
    </p>
    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
    <p class="postmeta">صفحه اصلی > آرشیو >
      <?php the_time('F jS, Y'); ?>
    </p>
    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
    <p class="postmeta">صفحه اصلی > آرشیو >
      <?php the_time('F, Y'); ?>
    </p>
    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
    <p class="postmeta">صفحه اصلی > آرشیو >
      <?php the_time('Y'); ?>
    </p>
    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
    <p class="postmeta">Author Archive</p>
    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
      <p class="postmeta">Blog Archives</p>
      <?php } ?>
    <?php while (have_posts()) : the_post(); ?>
    <h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
      <?php the_title(); ?>
      </a></h3>
    <p class="postheader">منتشر شده در تاریخ
      <?php the_time('d M Y') ?>
      |
      <?php comments_popup_link('نظرتان را بنویسید', '1 نظر', '% نظر'); ?>
    </p>
    <div class="archive-skip"></div>
    <div class="left"><a href="<?php the_permalink(); ?>" class="small-thumbnail">
      <?php zt_get_thumbnail($post->ID, 'thumbnail', 'alt="' . $post->post_title . '"'); ?>
      </a></div>
    <div class="archive-right">
      <?php zt_content_limit('420') ?>
    </div>
    <div class="archive-skip"></div>
    <p class="postmeta"> <span class="tag">
      <?php the_tags('کلمات کلیدی: ', ', ', ''); ?>
      </span>
      <?php edit_post_link('ویرایش', ' [ ', ' ] '); ?>
    </p>
    <div class="skip"></div>
    <?php endwhile; ?>
    <?php else :
		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>Sorry, but there aren't any posts in the %s category yet.</h2>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<h2>Sorry, but there aren't any posts with this date.</h2>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>Sorry, but there aren't any posts by %s yet.</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>موردی یافت نشد</h2>");
		}
		get_search_form();
	endif;
?>
  </div>
  <!--end: content-->
</div>
<!--end: leftcol-->
<?php include("sidebar3.php"); ?>
<link rel="canonical" href="http://www.bigtheme.ir" />
<?php get_footer(); ?>